<!--//////////
必须传递过来的参数说明:
page:当前页
pageSize:一页显示数量
startPage:页数显示第一个页面
endPage:页数显示最后一个页面


提交的form 注意点
1.必须包含 <input type="hidden" id="pageNo"  name="pageNo" value="1" > 作为参数 pageNo（要查询的当前页） 提交到后台。
2. 用户输入的搜索 条件框 搜索时， 要提交表单前 ，请 用 js 将 要查询的当前页 设置为 1， 默认从第一页查询。 $("pageNo").val("1"); 
3. 要查询的form 必须设置id="submit_form", 因为提交form 为使用id提交 ;$("#submit_form").submit();
//////////-->
<%@include file="/WEB-INF/views/base.jsp"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>DGT | 分页</title>
<script src="${jsPath }/jquery-1.9.1.min.js"></script>
<style>
.pageNumError{
	border-color: #ed5565;
}
</style>
</head>
<body>

<div class="row"> 
	<span id="pager_data" class="recordtotal">		
		<input type="hidden" id="currentPage2" name="page" value=${list.pageNo }>		
		<input type="hidden" id="pageSize2" value=${list.pageSize }>	
		<input type="hidden" id="startPage2" value=${list.startPage }>		
		<input type="hidden" id="endPage2" value=${list.endPage }>	
		<input type="hidden" id="pageTotal2" value=${list.pages }>
		<input type="hidden" id="total2" value=${list.total }>
	</span>	
 	<div class="col-sm-4"  style="margin-top: 25px; font-size: 15px">共 ${list.pages} 页 ${list.total} 
		条记录，当前为第 ${list.pageNo} 页 
	</div>  
	<div class="col-sm-8" style="text-align: right; font-size: 15px">
		<ul class="pagination" id="bootstrappager2">
			<!-- 显示页 由js 拼接 -->
		</ul> 
	</div>
</div>
<script>
	var _pages = $("#pageTotal2").val();
	var _pageNo = $("#currentPage2").val();
	var _total = $("#total2").val();
	var pageSize = $("#pageSize2").val();
	var startPage = $("#startPage2").val();
	var endPage = $("#endPage2").val();
	var _startPage = parseInt(startPage);
	var _endPage = parseInt(endPage);
	var currentPage = $("#currentPage2").val();
	var _currentPage = parseInt(currentPage);
	
	var html = '<li><a href="javascript:void(0);" id="start2"  class="p5">首页</a></li>'+'<li><a href="javascript:void(0);" id="previous2" class="p6">上一页</a></li>';
	
	var html1 = '<li><a href="javascript:void(0);" id="next2" class="p6">下一页</a></li>'+'<li><a href="javascript:void(0);" id="end2" class="p5">尾页</a></li>'
	+'<li id="toolBar_jumpPage2" style="line-height: 30px;">&nbsp;&nbsp;&nbsp;跳到<input type="text" style="width: 30px;height: 20px;line-height: 20px;" id="pageNum2" style="width:30px" value=""/>页<a href="javascript:void(0);" id="jumpPageNum2" class="p8">跳转</a></li>';
		
	for(var i=_startPage;i<=_endPage;i++){
		if(_currentPage==i){
			html += '<li class="active"><a  href="javascript:void(0);" class="p7">'+i+'</a></li>';
		}else{
			html += '<li><a  href="javascript:void(0);" class="p7">'+i+'</a></li>';
		}
	}
	
	html = html + html1;
	$("#bootstrappager2").html(html);

	//按钮初始状态
	if(_currentPage==_startPage){
		//当前页等于第一页时，首页和上一页不能点击,下一页和尾页 可以点击
		$("#start2").parent().addClass("disabled");
		$("#previous2").parent().addClass("disabled");
		$("#end2").parent().removeClass("disabled");
		$("#next2").parent().removeClass("disabled");
	}else if(_currentPage==_endPage){
		//当前页等于最后一页时，下一页和尾页不能点击, 首页和上一页可以点击
		$("#next2").parent().addClass("disabled");
		$("#end2").parent().addClass("disabled");
		$("#start2").parent().removeClass("disabled");
		$("#previous2").parent().removeClass("disabled");
	}else {
		$("#next2").parent().removeClass("disabled");
		$("#end2").parent().removeClass("disabled");
		$("#start2").parent().removeClass("disabled");
		$("#previous2").parent().removeClass("disabled");
	}
	//只有一页时, 都不能点击
	if(_startPage==_endPage&&_startPage==1){
		$("#start2").parent().addClass("disabled");
		$("#previous2").parent().addClass("disabled");
		$("#next2").parent().addClass("disabled");
		$("#end2").parent().addClass("disabled");
	}
</script> 
<script type="text/javascript">
//点击按钮提交事件
$(function() {	
	$("body").unbind('click', '.p5,.p6,.p7,.p8').delegate(".p5,.p6,.p7,.p8", "click", function(event){
		var $this = $(this);
		if($this.parent().hasClass("disabled")){
			return;
		}else{
			var startPage = 1;
			var endPage = parseInt($("#pageTotal2").val());
			var className = $this.attr("class");
			var page = 1;
			if("p7"==className){
				//点击 页码
				page = parseInt($this.html());				
			}else if("p6"==className){
				//点击上一页或下一页
				var id = $this.attr("id");
				if("previous2"==id){
					page = parseInt($("#currentPage2").val())-1;
				}else if ("next2"==id){
					page = parseInt($("#currentPage2").val())+1;
				}
			}else if("p8"==className){
				//点击首页或尾页
				var id = $this.attr("id");
				if("start2"==id){
					page = 1;
				}else if("end2"==id){
					page = endPage;
				}
			}else if("p8"==className){
				//手动输入数字
				var targetPage = $.trim($("#toolBar_jumpPage2>#pageNum2").val());
				if("" == targetPage ){
					$("#toolBar_jumpPage2>#pageNum2").addClass("pageNumError");
					return; 
				}
				if(isNaN(targetPage)){
					$("#toolBar_jumpPage2>#pageNum2").addClass("pageNumError");
					return;
				}
				var _targetPage = parseInt(targetPage);
				if(_targetPage<startPage||_targetPage>endPage){
					$("#toolBar_jumpPage2>#pageNum2").addClass("pageNumError");
					return;
				}
				$("#toolBar_jumpPage2>#pageNum2").removeClass("pageNumError");
				page = _targetPage;
			}
			queryEvent2(page);		
		}
	});
});

function queryEvent2(currentPage) {
	$("#currentPage2").val(currentPage);
	$("#pageNo").attr("value",currentPage)
	initData2();
}
</script>
</body>
</html>
